#!/bin/sh

# Source function library.
. /etc/rc.d/init.d/functions

prog="neoinput_server"
neoinput_server="/usr/local/bin/$prog"

RETVAL=0

if [ $( whoami ) != "root" ]
then
	echo "Please, run this script as root."
	RETVAL=1
	exit $RETVAL
fi



start() 
{
	echo -n $"Starting $prog: "
	modprobe uinput
	$neoinput_server >/dev/null 2>/dev/null &
	echo 
}

stop() 
{
	echo -n $"Stopping $prog: "
	modprobe -r uinput
	killall $neoinput_server
	echo 
}

case "$1" in
  start)
	start
	;;
  stop)
	stop
	;;
  restart)
	stop
	start
	;;
  *)
	echo $"Usage: $prog {start|stop|restart}"
	RETVAL=3
esac

